import { HttpClient } from '@wix/sdk-types';
import { RunTriggerOptions } from './automations-v1-automations-custom-trigger-custom-trigger.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function runTrigger(httpClient: HttpClient): RunTriggerSignature;
interface RunTriggerSignature {
    /**
     * Runs the automation associated with the trigger ID that you pass to it.
     */
    (options?: RunTriggerOptions | undefined): Promise<void>;
}
export { BulkUpdateMainEntityTagsByFilterRequest, BulkUpdateMainEntityTagsByFilterResponse, BulkUpdateMainEntityTagsRequest, BulkUpdateMainEntityTagsResponse, MainEntity, RunTriggerOptions, RunTriggerRequest, RunTriggerResponse, TagList, Tags, } from './automations-v1-automations-custom-trigger-custom-trigger.universal.js';
